
> [!TIP]
> In this howto guide, please take all of my "Suggested Setup" steps and "Suggested Plugins" with a grain of salt. I'm showing you what works for me. It might be a good starting place for you, but if you have different ideas, go for it!
> 
> Experiment with different settings, in a sandbox Vault.

The first time you open Obsidian after installing it, you are prompted to add a new **vault** to your setup.

> [!INFO]
> A **vault** is a top-level folder of your notes. It contains
> 
>- folders and sub-folders
>- note pages stored as plain text files in CommonMark/Markdown format
>- attachments
>- hidden configuration files

In the welcome screen, click the <kbd>Create</kbd> button to create a new vault to be taken to the "Create local vault" screen:

![[1. 1. Creating Your First Vault-20241009224516804.webp]]

Set **Location** to the container folder where you keep notes or projects, or where you store files synced with your other computers. For example, you might choose:

- `$HOME` (your home folder)
- `$HOME/Documents`
- `NextCloud` or `DropBox`

**Vault name** will be the name of the vault's folder *under* **Location**. For example, you might call it `Journal`, or `Obsidian Journal`.

When you click the second <kbd>Create</kbd> button, the folder "`$vault_name`" will be created under "`$location`".

![[1. 1. Creating Your First Vault-20241009225228364.webp]]

You should now be in an Obsidian window with your new empty vault with a default `Welcome` page in the middle, a vault navigation list ("**Files**") on the left, and a **Graph view** on the right.

![[1. 1. Creating Your First Vault-20241009225820456.webp]]

You can close the **Graph view** can call it back later if you want it, and you can right-click on the `Welcome` file in the **Files** list and delete it.

Before you start filling out the structure of your vault, I suggest making a few configuration changes and installing a few plugins via the "⚙" settings screen — the button is in the bottom-left corner of your Obsidian window, next to the vault name and the <kbd>?</kbd> Help button.

> [!TODO] Suggested Configuration
> **⚙ → Files and links → Automatically update internal links**
> Set to `true`.
> 
> **⚙ → Files and links → Detect all file extensions**
> Set to `true`.
> 
> **⚙ → Files and links → Default location for new attachments**
> Set to "In the folder specified below" and enter the following in the next field, "Attachment folder path":
> ```
> `/Asset
> ```
> 
> **⚙ → Core Plugins → Daily notes**
> Set to `disabled`. We're going to setup our own monthly structure that doesn't work with the Daily Notes plugin's structure.
> 
> **⚙ → Community Plugins**
> <kbd>Turn on community plugins</kbd>

> [!TODO] Suggested Plugins
>In **⚙ → Community Plugins**, use <kbd>Browse</kbd> to find and install:
>
>- Auto Template Trigger
>- Copy document as HTML
>- Image Converter
>- Quick Links
>- Dataview
>
>We will go over the recommended configuration for the plugins in the following pages.
