Now that we have a blank vault ready for input, let's take a moment to think about why we're here and what we're doing.
## The Importance of Note-Taking

For centuries, people have recognized the need for recording ideas and information they come across in their lives, in written form and outside of their own mind. Records on paper don't fade and mutate the way mental memories do.

Many methods have been invented, named, and shared. To name a few:

- [[w:Commonplace_book]]: writing in a pocket-sized paper notebook — common for centuries.
- [[w:Zettelkasten]]: a relational database system for paper cards or a portable paper notebook — from the 1980s.
- [[w:Getting_Things_Done]] or "GTD" a records-based "time management system" that assumes you've always got access to a computer. Based on a 2001 book of the same name.

There are dozens of others you may have heard of. What these systems have in common is they make it easy to **record** new information with minimal friction, and try to make it equally as easy to **recall** old information and make a decision of what your next action should be.

If you do not record what you're doing in your job, your daily life, and your hobbies into a written system, you risk anything from missing deadlines and appointments to forgetting a key insight you had during a period of alertness in bed during the witching hour.

My system that I'll be showing you isn't meant to be rigid or even have a name — it's just some suggestions to get you started.

With that in mind, let's start with the Journal.
## Journal Folder

In my notebooks, the first place most information gets stored is in the monthly Journal page, or a sub-page that month.

> [!TIP] How to make folder "home pages" in Obsidian
> In the past, I have tried many other notebook apps, and I stuck with [Zim Desktop Wiki](https://zim-wiki.org) most often, until this past summer. In Zim, every page is a folder and every folder is a page. This may or may not be how you'd naturally like to organize things yourself. It's one of the reasons it took me so long to give Obsidian a good try.
> 
> In Obsidian, you have folders, pages, and attachments. You'll notice in this Obsidian vault which you're reading, I still want some folders to have a "home" page. I came up with a compromise:
> 
> Since all files within a folder in Obsidian are sorted in alphabetical order, I've found that putting a "\`" (ASCII "Backtick" or "Grave accent") at the start of a file name neatly places at the top of the sorting order.
> 
> Additionally, to keep things easy to navigate, I try not to make actual pages at many different levels in the folder hierarchy. We'll get to that in the following sections.

Here is my basic structure for the Journal folder:

```
(vault root folder)
	` (top-level folder for auxiliary non-page-content files)
		Asset (attachments are stored here; remember we created this in the
				last chapter)
	Journal
		2024
			09
				`Setepber 2024
				laptop purchase
				vacation ideas
				…
			10
				`October 2024
				billion dollar startup idea
				NYACC presentation
```

Every new idea and piece of information starts in a section on this month's Journal page. I start a new section (Heading level 2) on the month page for each day. I keep them in descending order with the most recent day's notes a the top of the file.

I mark tasks as todo items like this, using the <kbd>Ctrl</kbd>+<kbd>L</kbd> **Toggle checkbox** command:

- [ ] this is a todo item

> [!TIP] Checkboxes
> The Ctrl-L "Toggle checkbox" command changes a line of text into a checkbox item, and toggles it between `open` and `done` state.
> 
> Additionally, to cancel a task, I select the text within the checkbox line (not the checkbox itself) and use the **Toggle strikethrough** command to cross it off.
> 
> - [ ] ~~cancelled todo item~~


> [!TIP] Find a command
> Throughout these notes I'll be pointing out names of commands. Some of them have keyboard shortcuts, and some done. All commands are available in a popup command line prompt that appears when you hit <kbd>Ctrl</kbd>+<kbd>P</kbd>. Try that now!
> 
> ![[1. 2. Scaffolding-20241010154757346.webp]]

## Example Journal Month Page

![[1. 2. Scaffolding-20241010160226946.webp]]

Notice a few important features in my example, starting from the bottom:
### Carryover

At the end of the month, when I start a new month page, I copy any unresolved todo items from the previous month, over to the new month's page. I leave the checkbox in the `open` state on the old page, and I just mark it done on the final month page where it ends up on the day I complete the task.

I marked the overdue task with the tag `#overdue`, for good measure.
### Due Dates and Completion Dates

While tags marked with "`#`" are a specific feature of Obsidian — you can easily search for pages by tags, and list tags — due dates are not. There are plugins available to setup due dates, but I prefer to keep thing simple.

Copying a convention from Zim Desktop Wiki, I mark due dates with "`<YYYY-MM-DD`".

Further, when I complete a task, sometimes (but not always) I mark it with "`c:YYYY-MM-DD`".
### Inbox function

Notice that I picked up Bob's phone number and just dropped it on my journal page. Surely it makes more sense to create a page for Bob, and collect other data about him as I learn it. But keep in mind, when you first receive information it's more important to just write it down *somewhere*, immediately. You can triage it later.

In the next chapter, we'll create pages to track Activities and People and we'll move Bob's phone number then.
### Sub-pages

Some tasks have too many notes to fit in your main journal page. Since you're starting a new journal page for each month, that month page can get pretty crowded if you record too much detail there.

For tasks with a lot of notes, I create a sub-page within the journal month page's folder, where I can record detailed notes about that task.

After I created the `NYACC presentation` page, I linked to it from the `October 2024` page.

I dragged it from the **Files** navigation list over to the body of the `October 2024` page to create a hyperlink.

> [!TIP] Creating hyperlinks
> There are several ways to create hyperlinks across pages. This is how I do it:
> 
> 1. Create the new page you're going to link to, if you haven't already.
> 2. Navigate back to the page where you'll insert the hyperlink. Do one of the following actions:
> 	1. Drag the new page from the **Files** navigation list to the place where you'll insert the link.
> 	2. *or* Start tying "`[[`" followed keywords from the new page's name; an auto-complete list appears and you can select one and hit <kbd>Tab</kbd>, followed by "`]]`" to finish the link.

