## People

Let's take care of that loose "Bob's phone number" note. We're going to create a `Person` folder to contain one page for each person we know.

This sounds like a phone book or a Rolodex, doesn't it? There should be some structure to this.

Obsidian has a feature to help you keep consistent structure across many pages that have the same kind of data:
### Templates

To start, let's say we want to track the following data items for every person — keeping in mind we might not have all of these items for every person, but that's okay.

Find the "\`" folder in your **Files** — that's where we store auxiliary non-page files.

Create a sub-folder under that called `Template` and, within that, a "page" called `Person`:

With the page editing frame selected, hit <kbd>Ctrl</kbd>+<kbd>;</kbd>  to start inserting page **Properties**. Fill in the page template.

![[1. 3. Scaffolding — People and Activities-20241010162325084.webp]]

To make sure Obsidian knows what to do with this special page, go to **⚙ → Templates** and set **Template folder location** to
```
`/Template
```
## Creating Bob's Page

In the **Files** list, create a top-level folder called `Person`. Right-click on **Person** and create a **New Note**. Name it `Bob`.

Hit <kbd>Ctrl</kbd>+<kbd>P</kbd>  and then run the **Insert template** command. Select `Person`. Now you've got a nice structured `Person` record for Bob.

![[1. 3. Scaffolding — People and Activities-20241010163015556.webp]]

Fill in Bob's phone number. You can fill in the rest of it in the future when you learn more about Bob.

> [!TIP] Multiple tabs
> You can have many pages open at the same time, and you'll want to do that for when you're triaging and filing information you captured in your Journal pages.
> 
> Here are some of the ways you can open a page in a new tab:
> - Middle-click a hyperlink or right-click a hyperlink and choose **Open in new tab**
> - Middle-click or right-click and choose **Open in new tab** on an entry in the **Files** list.
> - <kbd>Ctrl</kbd>+<kbd>O</kbd>  "Open", type until you match the file, Ctrl-Enter for **open in new tab**.
>   
Furthermore, you can open multiple pages side-by-side: Just drag an open page's tab from the tab bar to the left edge or right edge of the edit frame, and drop.
>   
![[1. 3. Scaffolding — People and Activities-20241010163715815.webp]]
### Auto Template Trigger Plugin

If you're following along with Obsidian yourself on your computer, you might have noticed that that the **Auto Template Trigger** plugin we installed in the **Creating Your First Vault** chapter made the template process a little easier.

When the **Auto Template Trigger** plugin is enabled, every time you create a **New page** under folder `Foo`, it looks in the designated **Templates** folder. If only one template exists, that template will be applied immediately. If more than one template exists, you'll be prompted every time you create a **New page**, to choose which template to apply.

Auto Template Trigger goes further. In **⚙ → Auto Template Trigger**, there's a list of **Folder specific templates**. Here you can configure an association of one template for many folders, or even a global association for the whole vault (as the default template, in case no other more specific template applies).

> [!TIP] Page creation date
> In my notebooks, I always create at a global template that applies to the root folder, and more specific templates for folders further down. All of my templates have a `created` property.
> 
> If you mark a property as being the type `date` instead of the default `text`, and you set the property's template value to `{{date}}`, then it gets transformed into the actual current date, when you copy a template into a new page.
> 
> ![[1. 3. Scaffolding — People and Activities-20241010164746314.webp]]
> ![[1. 3. Scaffolding — People and Activities-20241010164846632.webp]]
## Activities

The Activities folder is an important part of the diary I keep for my job. Every Project and isolated Task that takes more than a few days gets an Activity page. My Activity page template looks like this:

![[1. 3. Scaffolding — People and Activities-20241010170914363.webp]]

> [!INFO] My own Activity properties
> **Jira** is the cloud-based issue tracking system that most of the projects in my job use. I put here a URL that lists the Issues for this Activity. **My issues** is another JIRA URL, but this time for a filtered view in Jira showing only Issues assigned to me.
> 
> **Contact**, **project manager**, and **owner** are links to **People** pages within my diary.
> 
> **Charge codes** is a *list* of hyperlinks to charge code pages. (Charge codes have two numbers, the official name, and my own shorthand name, so they need to have their own page type in my diary.)

Now with Activities in place, we can go back and link every detailed task page in the `Journal` back to the Activity that the task belongs to:

![[1. 3. Scaffolding — People and Activities-20241010174531247.webp]]

You'll see why this kind of link is important in the next chapter.