So, suppose we've got information in:

- `Journal/2024/10/October 2024`
- `Journal/2024/10/NYACC Presentation`
- `Person/Asa Bacon`
- `Activity/NYACC`

Will we be able to quickly navigate from any given piece of data to all the other pages that have relevant additional details?
## Search

Of course, being an electronic notebook program, Obsidian can easily find information by page names and by full-text-searching the content of your vault.

- **Find a page**
  <kbd>Ctrl</kbd>+<kbd>O</kbd>  → type some partial keywords until the right name comes up.
- **Find words anywhere in the vault**
  <kbd>Ctrl</kbd>+<kbd>Shift</kbd>+<kbd>F</kbd>  "Search"
- **Show all tags**
  <kbd>Ctrl</kbd>+<kbd>P</kbd> , **Tags view: Show tags**
- **Find pages which include a tag**
  <kbd>Ctrl</kbd>+<kbd>Shift</kbd>+<kbd>F</kbd>  then enter "`tag:`" followed the tag name, for example "`tag:#overdue`".
  *or* click a tag name found in the body of a page to perform that same search.
## Hyperlinks Go Both Ways

Obsidian keeps track of hyperlinks in both directions, not just one direction from the hyperlink to its target.

The built-in **Backlinks** plugin shows all of the pages that link *to* the current page in a convenient sidebar widget.

> [!TIP] Backlinks in the page footer
> By default, Backlinks appear in the right sidebar (<kbd>Ctrl</kbd>+<kbd>P</kbd> , **Toggle right sidebar**).
> 
> My personal preference is to turn on this setting:
> **⚙ → Backlinks → Show backlinks at the bottom of notes**
> 
> Then I always see backlinks in the page edit frame, even if I have the right sidebar turned off.

So now, the `Activity` folder ends up being a hub for every project.

Here we see an outgoing link to Asa from the **Contact** property, and an incoming link from my journal page about `NYACC presentation` (this presentation).

![[1. 4. Links and Recalling Information-20241010174032809.webp]]

It follows that if we were currently viewing the `NYACC Presentation` page and wanted to know who's the **Contact** for this `Activity`, we just need to follow a couple of hyperlinks, and we're there. You can see this <kbd>Ctrl</kbd>+<kbd>G</kbd>  **Graph view**.

![[1. 4. Links and Recalling Information-20241010174741590.webp]]

