Obsidian has plugins.

[A *lot* of plugins.](https://obsidian.md/plugins) 1,929 as of 10 October 2024.

This can be both good and bad for you when you're just starting out. Is there a notebook feature you just can't live without? There might be a plugin for it.

On the other hand, don't go on a plugin shopping spree just because they're almost all free. Just because a feature exists doesn't mean you should have it. Some plugins are more mature than others. Some plugins might have unavoidable conflicts with other plugins or with core features.

It's best to take a conservative approach. Don't go looking for a new plugin unless the alternative is to do something overly complicated or labor-intensive with the configuration you already have.

> [!TIP] Separate plugins per vault
> Every plugin you install is installed only for that one vault where you installed it.
> 
> This means that if you want to try out a plugin, and you aren't sure how it will behave, you can try it out first in a separate *sandbox* vault. Obsidian actually provides a built-in feature for testing things: Hit <kbd>Ctrl</kbd>+<kbd>P</kbd>  and use the **Open sandbox vault** command.

Now that I've scared you away from using plugins, let's take a look at a few that I did recommend at the start of my presentation notes.
## Auto Template Trigger

As we discussed in "Scaffolding — People and Activities", this plugin makes it easy to ensure that every page is created from a template. My personal preference is that all pages have at least a `created` property so you know when you started to acquire the information on the page. This plugin is a must-have to make that happen.
## Copy Document as HTML

This plugin makes it easy to quickly copy a page as rich text for pasting somewhere else. You might use Obsidian for drafting emails or blog posts, using this plugin.
## Image Converter

In its default configuration, this plugin converts every image I paste into `.webp` format. This saves space and makes my notebooks sync across different computers just a little faster.
## Quick Links

TLDR: Lets you write hyperlinks like this
```
[[w:Commonplace_book]]
```
that get rendered as
```
https://en.wikipedia.org/wiki/Commonplace_book
```

The plugin's settings let you add as many external web site / database shortcuts as you want.
## Dataview

This is a big plugin with a steep learning curve, but it's critical for me keeping an Obsidian "Service Catalog" notebook of all of the IT services I host at home for myself.

**Dataview** lets me code a live query table into a page that lists properties from every page that matches the given filter.

![[1. 5. Plugins-20241010175723684.webp]]
